URNDIS(4)

NAME
urndis - USB Remote NDIS Ethernet device

SYNOPSIS
urndis* at uhub?

DESCRIPTION
The urndis driver provides support for Ethernet access over Remote NDIS. The urndis driver should work with all USB RNDIS devices, but the following devices are known to work:

•   Geeksphone ONE
•   Google Nexus One
•   HTC Desire
•   HTC Dream / T-Mobile G1 / ADP1
•   HTC Hero
•   HTC Magic
•   HTC Tattoo
•   HTC Wildfire
•   Samsung Galaxy S / S2
•   Samsung Nexus S

The urndis driver does not support different media types or options. For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), intro(4), netintro(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The urndis device driver first appeared in OpenBSD 4.7.

AUTHORS
-nosplit The urndis driver was written by Jonathan Armani <armani@openbsd.org>, Michael Knudsen <mk@openbsd.org>, and Fabien Romano <fabien@openbsd.org>.